#!/bin/sh
################################################################################
#
#     Script:  loadCIMS.sh
#
#     The information in this  document is subject to  change  without  notice
#     and should not be construed as a commitment by CIMS Lab, Inc.
#     CIMS Lab, Inc.  assumes no responsibility for any errors that
#     may appear in this document.
#
#     The software described in this  document is  furnished to the  purchaser
#     under  a license for use on a single  computer  system and can be copied
#     (with inclusion of CIMS Lab's copyright) only for use in such system, 
#     except as  may  otherwise be provided  in writing  from CIMS Lab, Inc.
#
#     All rights reserved.  No part  of this document may be reproduced in any
#     form  or  by any  means,  except as may otherwise be provided in writing
#     from CIMS Lab, Inc.
# 
#     Copyright (c) 1979 - 2005 by
# 
#     CIMS Lab, Inc., Laurel Lab
#     14440 Cherry Lane Court	Telephone:  (301)-725-2500
#     Suite 201			Fax      :  (301)-725-7196
#     Laurel, MD 20707
#     USA
#
# The CIMS/UNIX Mainframe Load Script is provided by CIMS Lab as a template. 
#
################################################################################
#  loadCIMS.sh Modification Log
# 
#	KLS=Kevin L. Smith, CIMS Lab, Inc., Gibbsboro Lab
# 
# 	KLS V1.01 03-June-2005
# 
# 		Created this script.
#
################################################################################
#
if test "$#" = "1"
then
    echo "Usage : loadCIMS.sh process_name xml_file {date}" 
    exit 1
fi

: ${CIMS_HOME:=`awk -F= '/^CIMS_HOME=/ {print $2}' /etc/cims.conf`}

if test "$#" = "2"
then
    MYDATE=`date +%Y%m%d`
    LOGFILE_NAME=LoadCIMS_$1_${MYDATE}.log
    BACKUP_NAME=$MYDATE
else
    LOGFILE_NAME=LoadCIMS_$1_$3.log
    BACKUP_NAME=$3
fi

################################################################################
# If there is no history directory, create one  
################################################################################
#
if test ! -d $CIMS_HOME/processes/$1/backup
then
    echo ""
    echo "$0: Creating backup directory"
    mkdir $CIMS_HOME/processes/$1/backup
    chown -R ${CIMS_ACCOUNT}:${CIMS_GROUP} $CIMS_HOME/processes/$1/backup
    chmod 0766 ${CIMS_HOME}/processes/$1/backup
fi

if test "$#" = "2"
then
    cp ${CIMS_HOME}/processes/$1/BillSummary.txt ${CIMS_HOME}/processes/$1/backup/BillSummary_${BACKUP_NAME}.txt
    cp ${CIMS_HOME}/processes/$1/BillDetail.txt ${CIMS_HOME}/processes/$1/backup/BillDetail_${BACKUP_NAME}.txt
    cp ${CIMS_HOME}/processes/$1/Ident.txt ${CIMS_HOME}/processes/$1/backup/Ident_${BACKUP_NAME}.txt
else
    cp ${CIMS_HOME}/processes/$1/backup/BillSummary_${BACKUP_NAME}.txt ${CIMS_HOME}/processes/$1/BillSummary.txt
    cp ${CIMS_HOME}/processes/$1/backup/BillDetail_${BACKUP_NAME}.txt ${CIMS_HOME}/processes/$1/BillDetail.txt 
    cp ${CIMS_HOME}/processes/$1/backup/Ident_${BACKUP_NAME}.txt ${CIMS_HOME}/processes/$1/Ident.txt 
fi

${CIMS_HOME}/scripts/loadCIMS.pl $1 $2 1> ${CIMS_HOME}/log/$LOGFILE_NAME 2>&1

status=$?

cp ${CIMS_HOME}/log/$LOGFILE_NAME ${CIMS_HOME}/log/tmp/$1_OUT.TXT


if test $status = 0
then
    status_msg="Successfully"
elif test $status -le 8
then
    status_msg="with WARNING"
else
    status_msg="with ERROR"
fi

exit status


