#!/bin/sh
################################################################################
#
#     Script:  nightly.sh
#
#     The information in this  document is subject to  change  without  notice
#     and should not be construed as a commitment by CIMS Lab, Inc.
#     CIMS Lab, Inc.  assumes no responsibility for any errors that
#     may appear in this document.
#
#     The software described in this  document is  furnished to the  purchaser
#     under  a license for use on a single  computer  system and can be copied
#     (with inclusion of CIMS Lab's copyright) only for use in such system, 
#     except as  may  otherwise be provided  in writing  from CIMS Lab, Inc.
#
#     All rights reserved.  No part  of this document may be reproduced in any
#     form  or  by any  means,  except as may otherwise be provided in writing
#     from CIMS Lab, Inc.
# 
#     Copyright (c) 1979 - 2005 by
# 
#     CIMS Lab, Inc., Laurel Lab
#     14440 Cherry Lane Court	Telephone:  (301)-725-2500
#     Suite 201			Fax      :  (301)-725-7196
#     Laurel, MD 20707
#     USA
#
# The CIMS/UNIX Nightly Script is provided by CIMS Lab as a template. 
#
################################################################################
#  nightly.sh Modification Log
# 
#	GCB=George C. Bonifant, CIMS Lab, Inc., Laurel Lab
# 
# 	GCB V1.01 01-Mar-2005
# 
# 		Created this script.
#
################################################################################
#
if test "$#" != "1"
then
    echo "Usage : nightly.sh YYYYMMDD"
    exit 1
fi

MAIL_UTIL=mailx
MAIL_LIST="george.bonifant@cimslab.com"

: ${CIMS_HOME:=`awk -F= '/^CIMS_HOME=/ {print $2}' /etc/cims.conf`}

if test $1 = "PREDAY"
then
    MYDATE=`date +%Y%m%d`
    LOGFILE_NAME=nightly_PREDAY_${MYDATE}.log
else
    LOGFILE_NAME=nightly_$1.log
fi

$CIMS_HOME/scripts/nightly.pl $1 1> $CIMS_HOME/log/$LOGFILE_NAME 2>&1
status=$?

if test $status = 0
then
    status_msg="Successfully"
elif test $status -le 8
then
    status_msg="with WARNING"
else
    status_msg="with ERROR"
fi

cat $CIMS_HOME/log/$LOGFILE_NAME | $MAIL_UTIL -s "CIMS Nightly Script completed $status_msg" $MAIL_LIST

